import QtQuick 2.0
import QtQuick.LocalStorage 2.0

Item {
    property var database;
    property alias model: contacts;

    Contacts {
        id: contacts
    }

    Component.onCompleted: {
        database = LocalStorage.openDatabaseSync('main', 1,
                                                 'The best DB Ever!', 1000);
        database.transaction(function(tx) {
            tx.executeSql("create table if not exists
                           people(pid integer primary key autoincrement,
                                  name varchar(255),
                                  surname varchar(255),
                                  age integer)");
        });

        database.readTransaction(function(tx) {
            var result = tx.executeSql("select pid, name, surname, age from people");
            var rows = result.rows
            for(var i = 0; i < rows.length; i++) {
                var item = rows.item(i);
                contacts.addContact(item.pid, item.name, item.surname, item.age);
            }
        });
    }

    function addPerson(name, surname, age) {
        database.transaction(function(tx) {
            tx.executeSql("insert into people(name, surname, age)
                            values(?, ?, ?)", [name, surname, age]);
            var     result = tx.executeSql("select pid from people where name like ? and
                            surname like ? and age = ?", [name, surname, age]);
            var pid = result.rows.item(0).pid;
            contacts.addContact(pid, name, surname, age);
        });

    }
}
